Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# QDecorationFactory Class Reference

The QDecorationFactory class creates QDecoration objects. More...

    #include <QDecorationFactory>

- List of all members, including inherited members

### Static Public Members

- QDecoration * create ( const QString & key )
- QStringList keys ()

## Detailed Description

The QDecorationFactory class creates QDecoration objects.

The decoration factory creates a QDecoration object for a given key with QDecorationFactory::create(key).

The decorations are either built-in or dynamically loaded from a decoration plugin (see QDecorationPlugin).

QDecorationFactory::keys() returns a list of valid keys, typically including "default", "windows", "kde", "kde2", "beos", "hydro".

## Member Function Documentation

### QDecoration * QDecorationFactory::create ( const QString & key ) `[static]`

Creates a QDecoration object that matches key. This is either a built-in decoration, or a decoration from a decoration plugin.

See also keys().

### QStringList QDecorationFactory::keys () `[static]`

Returns the list of keys this factory can create decorations for.

See also create().